package httpclient

import (
	"bytes"
	"io/ioutil"
	"net/http"
)

func DoHttp(url, method, body string, headers map[string]string) (string, int) {
	req, err := http.NewRequest(method, url, bytes.NewBuffer([]byte(body)))
	if err != nil {
		return "", 0
	}
	for key, value := range headers {
		req.Header.Set(key, value)
	}
	client := &http.Client{}
	resp, err := client.Do(req)
	if err != nil {
		return "", 0
	}
	defer resp.Body.Close()
	respBody, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		return "", resp.StatusCode
	}
	return string(respBody), resp.StatusCode
}
